# -*- coding: utf-8; indent-tabs-mode: nil; tab-width: 2; -*-
#

---
#
# root user
#

- include: epel.yml

- include: php.yml

- include: mysql.yml
  when: ( ansible_distribution == "CentOS" or ansible_distribution == "RedHat" ) and ansible_distribution_major_version == "6"

- include: mariadb.yml
  when: ( ansible_distribution == "CentOS" or ansible_distribution == "RedHat" ) and ansible_distribution_major_version == "7"

- name: Installing Archive packages
  yum: name={{ item }} state=latest
  with_items:
    - unzip

- name: Creating Moodle Install Folder
  file: path={{ moodle_install_folder }} state=directory mode=755 owner=apache group=apache

- name: Install Moodle
  unarchive: copy=true creates={{ moodle_install_folder }}/moodle src={{moodle_archive}} dest={{ moodle_install_folder }} owner=apache group=apache

- name: Configure MySQL Database
  mysql_db: name={{ moodle_db }} state=present login_user={{ mysql_root_user }} login_password={{ mysql_root_password}}

- name: Configure MySQL User
  mysql_user: name={{ moodle_db_user }} password={{ moodle_db_password }} priv={{ moodle_db }}.*:ALL state=present login_user={{ mysql_root_user }} login_password={{ mysql_root_password}}

- name: Adding httpd config file
  template: src=templates/files/etc/httpd/conf.d/moodle.conf dest=/etc/httpd/conf.d/moodle.conf
  notify:
    - Restart httpd

- name: Create Moodle Data Directory
  file: path={{ moodle_data_folder }} state=directory mode=755 owner=apache group=apache

- name: Configure Moodle
  template: src=templates/files/var/www/html/moodle/config.php dest={{ moodle_install_folder }}/moodle/config.php owner=apache group=apache

- name: Configure Moodle Cron Job
  cron: name="Moodle Cron Job" minute="*/15" job="/usr/bin/php {{ moodle_install_folder }}/moodle/admin/cli/cron.php >/dev/null"
